#pragma once
#include "../Framework/Sprite.h"
#include <list>

class Leaf :
	public Sprite
{
public:
	Leaf(float x,float y,float z);
	virtual ~Leaf(void);

			void	eat();
	virtual	void	anim();
	virtual	void	draw();
	inline	bool	is_falling() { return _falling; }

protected:
	bool			_falling;
	float			_target_x,_target_y;
	float			_fall_angle;
	float			_feed;
	float			_decay;
	unsigned long	_last_decay;
};
