#pragma once

#define PM_RESX	128
#define PM_RESY	128

#define PM_UPPERBOUND		100
#define PM_NORMAL_AMMOUNT	100
#define PM_FOLLOW_AMMOUNT	0
#define PM_DECAY			0.5f

#include "../Framework/Sprite.h"

class Ant;

class PhenoromeMap : public Sprite
{
public:
	PhenoromeMap(void);
	~PhenoromeMap(void);

	virtual	void	draw();
	virtual	void	anim();

			void	add_phenorome(float x,float y,float ammount);
			void	add_phenorome_bomb(float x,float y,float tx,float ty,float ammount);
			bool	get_scent(float x,float y,D3DXVECTOR2* v,Ant* ant);

protected:
			void		build_texture();
			D3DXVECTOR2	to_grid(float x,float y);
			float		get_value(float x,float y);

protected:
	float*				_map;
	LPDIRECT3DTEXTURE9	_texture;
	long				_texture_id;
};
