#include "SelectionCircle.h"

#include "../framework/TextureManager.h"
#include "../framework/Utils.h"

#include "Ant.h"
#include "GameScreen.h"

SelectionCircle::SelectionCircle(void)
{
	set_image(TEXTURES->find_by_name("Select"));
	set_hotspot(32,32);
	_anim_angle=0.0f;
}

SelectionCircle::~SelectionCircle(void)
{
}

void SelectionCircle::draw()
{
	Ant* ant=((GameScreen*)SCREEN)->get_selected_ant();
	if (ant)
	{
		_pos=ant->get_pos();
		_pos.z=0.25f;
		_scale=sin(deg_to_rad(_anim_angle))*0.25f+1.0f;
		_anim_angle=_anim_angle+2.5f;
		Sprite::draw();
	}
}
